CognitiveX Docs
API

POST /api/push/subscribe

Subscribe

POST /api/push/subscribe

Subscribe

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
endpointstringYes-
p256dhstringYes-
authstringYes-
uastring | nullNo-

Example request

curl -X POST https://api.cognitivx.io/api/push/subscribe \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "endpoint": "string",
    "p256dh": "string",
    "auth": "string",
    "ua": null
  }'

Example response

201 application/json

{}

Responses

StatusDescription
201Created. The new resource is returned in the response body.
422Request validation failed. detail lists each offending field.